Loading...
Searching...
No Matches
apr_reslist.h File Reference

APR-UTIL Resource List Routines. More...

`#include "apr.h"`
`#include "apu.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_time.h"`
Include dependency graph for apr_reslist.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APR_RESLIST_CLEANUP_DEFAULT 0
#define | APR_RESLIST_CLEANUP_FIRST 1

## Typedefs

typedef struct apr_reslist_t | apr_reslist_t
typedef apr_status_t(* | apr_reslist_constructor) (void **resource, void *params, apr_pool_t *pool)
typedef apr_status_t(* | apr_reslist_destructor) (void *resource, void *params, apr_pool_t *pool)

## Functions

apr_status_t | apr_reslist_create (apr_reslist_t **reslist, int min, int smax, int hmax, apr_interval_time_t ttl, apr_reslist_constructor con, apr_reslist_destructor de, void *params, apr_pool_t *pool)
apr_status_t | apr_reslist_destroy (apr_reslist_t *reslist)
apr_status_t | apr_reslist_acquire (apr_reslist_t *reslist, void **resource)
apr_status_t | apr_reslist_release (apr_reslist_t *reslist, void *resource)
void | apr_reslist_timeout_set (apr_reslist_t *reslist, apr_interval_time_t timeout)
apr_uint32_t | apr_reslist_acquired_count (apr_reslist_t *reslist)
apr_status_t | apr_reslist_invalidate (apr_reslist_t *reslist, void *resource)
apr_status_t | apr_reslist_maintain (apr_reslist_t *reslist)
void | apr_reslist_cleanup_order_set (apr_reslist_t *reslist, apr_uint32_t mode)

## Detailed Description

APR-UTIL Resource List Routines.